# Ipopt::ReducedHessianCalculator Class Reference

`#include <SensReducedHessianCalculator.hpp>`

Inheritance diagram for Ipopt::ReducedHessianCalculator:
[legend]

List of all members.

## Public Member Functions
| ReducedHessianCalculator (SmartPtr< SchurData > hess_data, SmartPtr< PCalculator > pcalc)
| This is the interface for the actual controller.
virtual | ~ReducedHessianCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class.
virtual bool | ComputeReducedHessian ()
## Private Attributes
SmartPtr< SchurData > | hess_data_
| Pointer to Schurdata object holding the indices for selecting the free variables.
SmartPtr< PCalculator > | pcalc_
| Pointer to the P Calculator object that returns the reduced hessian matrix.
bool | compute_eigenvalues_
| True, if option rh_eigendecomp was set to yes.

## Detailed Description

Definition at line 17 of file SensReducedHessianCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::ReducedHessianCalculator::ReducedHessianCalculator | ( | SmartPtr< SchurData > | hess_data,
|  | SmartPtr< PCalculator > | pcalc |
| ) |  |  |

This is the interface for the actual controller.

It handles Data input to the controller (measurement) and returns controls

virtual Ipopt::ReducedHessianCalculator::~ReducedHessianCalculator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ipopt::ReducedHessianCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

virtual bool Ipopt::ReducedHessianCalculator::ComputeReducedHessian | ( |  | ) | `[virtual]`

## Member Data Documentation

SmartPtr<SchurData> Ipopt::ReducedHessianCalculator::hess_data_`[private]`

Pointer to Schurdata object holding the indices for selecting the free variables.

Definition at line 36 of file SensReducedHessianCalculator.hpp.

SmartPtr<PCalculator> Ipopt::ReducedHessianCalculator::pcalc_`[private]`

Pointer to the P Calculator object that returns the reduced hessian matrix.

Definition at line 39 of file SensReducedHessianCalculator.hpp.

bool Ipopt::ReducedHessianCalculator::compute_eigenvalues_`[private]`

True, if option rh_eigendecomp was set to yes.

Definition at line 42 of file SensReducedHessianCalculator.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensReducedHessianCalculator.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines